<html>
<head>

<script type="text/javascript">

var t;

function startTime() {

	var today = new Date();
	var h = today.getHours();
	var m = today.getMinutes();
	var s = today.getSeconds();

	// Add a zero in front of numbers<10
	m = checkTime(m);
	s = checkTime(s);
	
	// Write the hh:mm:ss time to the element whose ID is "txt".
	document.getElementById('txt').innerHTML = h + ":" + m + ":" +s;

	// Use setTimeout() to designate a function to call after a time interval (in milliseconds).
	t = setTimeout('startTime()', 500);
}

function checkTime(i) {
	if (i < 10) {
		i = "0" + i;
	}
	return i;
}
</script>
</head>

<body onload="startTime()">
<div id="txt"></div>

<button onclick="startTime()">Start</button> &nbsp;&nbsp;&nbsp;
<button onclick="clearTimeout(t)">Stop</button>

</body>

</html>

